Name:           spice-parent
Version:        26
Release:        %mkrel 11
Group:          Development/Java
Summary:        Sonatype Spice Components
License:        ASL 2.0
URL:            https://github.com/sonatype/oss-parents
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/sonatype/spice/%{name}/%{version}/%{name}-%{version}.pom
Source1:        https://apache.org/licenses/LICENSE-2.0.txt

Patch0:         pom.patch

BuildRequires:  maven-local
BuildRequires:  forge-parent

%description
Spice components and libraries are common components
used throughout the Sonatype Forge.

%prep
%setup -qcT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} .

#Remove plexus-javadoc
%patch -P 0

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 26-11.mga10
+ Revision: 2223884
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 26-10.mga10
+ Revision: 2068136
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 26-9.mga9
+ Revision: 1827905
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 26-8.mga8
+ Revision: 1500168
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 26-7.mga7
+ Revision: 1275598
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 26-5.mga6
+ Revision: 978168
- First rebuild of the java stack
- sync package spice-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 26-5.mga5
+ Revision: 747635
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 26-3.mga5
+ Revision: 673443
- Update to version 26
- Sync with Fedora
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 15-9.mga4
+ Revision: 488957
- Add provide, need to understand why this is not generated

* Sun Sep 29 2013 dmorgan <dmorgan> 15-8.mga4
+ Revision: 488885
- Rebuild against new javapackages

* Mon Jan 14 2013 umeabot <umeabot> 15-7.mga3
+ Revision: 382522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 15-6.mga3
+ Revision: 324205
- Sync spec file with fedora
+ gil <gil>
- replaced plexus-maven-plugin with plexus-component-metadata

* Thu Apr 28 2011 dmorgan <dmorgan> 15-5.mga1
+ Revision: 93143
- Rebuild after bootstrapping

* Thu Apr 28 2011 dmorgan <dmorgan> 15-4.mga1
+ Revision: 92865
- Remove buildroot
- imported package spice-parent


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 15-3
- Add pom.patch 

* Fri May 14 2010 Hui Wang <huwang@redhat.com> - 15-2
- Add instruction which create Source0 as a commont
- Use macros in Source0 

* Tue May 11 2010 Hui Wang <huwang@redhat.com> - 15-1
- Initial version of the package
